Subject: Re: Last Call: <draft-ietf-xcon-ccmp-12.txt> (Centralized Conferencing Manipulation Protocol) to Proposed Standard

From: Mykyta Yevstifeyev <[email-masked]>
Date: Sat, 19 Feb 2011 07:45:26 +0200

Hello,

Let me briefly comment IANA considerations sub-sections, that define two 
registries.

See my comments in-line.

>
>       12.5. CCMP Protocol Registry
>
>
>
>     This document requests that the IANA create a new registry for the
>     CCMP protocol including an initial registry for operation types and
>     response codes.
>
>
>
>         12.5.1. CCMP Message Types
>
>
>
>     The CCMP messages are described inSection 4.1  <http://tools.ietf.org/html/draft-ietf-xcon-ccmp-12#section-4.1>  and defined in the XML
>     schema inSection 11  <http://tools.ietf.org/html/draft-ietf-xcon-ccmp-12#section-11>.  The following summarizes the requested
>    registry:
>
>     Related Registry:   CCMP Message Types Registry
>
>     Defining RFC:  RFC XXXX [NOTE TO IANA/RFC-EDITOR: Please replace XXXX
>        with the RFC number for this specification.]
>
>     Registration/Assignment Procedures:  New CCMP message types are
>        allocated on a specification required basis.
Here you should have the normative reference to RFC 5226.
>     Registrant Contact:  IETF, XCON working group, ([email-masked]), Mary
>        Barnes ([email-masked]).
As far as I may see, this registry definition does not conform to that 
described by RFC 5226.  Particularly, there are no description of the 
format of the registry and its entries as well as some other 
information, required by that document.  See here:  
http://tools.ietf.org/html/rfc5226#section-4.2
>     This section pre-registers the following initial CCMP message types:
>    [ ... ]
>
>
>
>         12.5.2. CCMP Response Codes
>
>
Here the same as above apply.
>     The following summarizes the requested registry for CCMP Response
>     codes:
>
>     Related Registry:   CCMP Response Code Registry
>
>     Defining RFC:  RFC XXXX [NOTE TO IANA/RFC-EDITOR: Please replace XXXX
>        with the RFC number for this specification.]
>
>     Registration/Assignment Procedures:  New response codes are allocated
>        on a first-come/first-serve basis with specification required.
>
>     Registrant Contact:  IETF, XCON working group, ([email-masked]), Mary
>        Barnes ([email-masked]).
>
>     This section pre-registers the following thirteen initial response
>     codes as described above inSection 4.1  <http://tools.ietf.org/html/draft-ietf-xcon-ccmp-12#section-4.1>:
>     [ ... ]

Thank you for considering my comments.

Mykyta Yevstifeyev

19.02.2011 0:36, The IESG wrote:
> The IESG has received a request from the Centralized Conferencing WG
> (xcon) to consider the following document:
> - 'Centralized Conferencing Manipulation Protocol'
>    <draft-ietf-xcon-ccmp-12.txt>  as a Proposed Standard
>
> The IESG plans to make a decision in the next few weeks, and solicits
> final comments on this action. Please send substantive comments to the
> [email-masked] mailing lists by 2011-03-04. Exceptionally, comments may be
> sent to [email-masked] instead. In either case, please retain the
> beginning of the Subject line to allow automated sorting.
>
> The file can be obtained via
> http://datatracker.ietf.org/doc/draft-ietf-xcon-ccmp/
>
> IESG discussion can be tracked via
> http://datatracker.ietf.org/doc/draft-ietf-xcon-ccmp/
>
>
>
> The following IPR Declarations may be related to this I-D:
>
> /ipr/472/
> _______________________________________________
> IETF-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-announce
>